org.apache.maven.scm.provider.perforce.command.changelog

## Class PerforceChangesConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.perforce.command.changelog.PerforceChangesConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class PerforceChangesConsumer
    extends AbstractConsumer

Version:
  $Id: PerforceChangesConsumer.java 770320 2009-04-30 16:50:15Z olamy $
Author:
  Emmanuel Venisse

### Constructor Summary

Constructors
Constructor and Description
`PerforceChangesConsumer(ScmLogger logger)`

### Method Summary

Methods
`void` `consumeLine(String line)`
`List` `getChanges()`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerforceChangesConsumer

    public PerforceChangesConsumer(ScmLogger logger)

### Method Detail

#### getChanges

    public List getChanges()
                    throws ScmException

Throws:
  `ScmException`

#### consumeLine

    public void consumeLine(String line)